Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.custom
Interface PreviousStageDirectiveParams

All Superinterfaces:
  DirectiveParams, java.io.Serializable

All Known Implementing Classes:
  WCM_PreviousStageDirectiveParams

    public interface PreviousStageDirectiveParams

extends DirectiveParams

The `PreviousStageDirectiveParams` object is used to specify arguments or options to a 'PreviousStage' Directive.

To create a new `PreviousStageDirectiveParams` object call `Directives.PREVIOUS_WORKFLOW_STAGE.createDirectiveParams()` and cast the returned object to `PreviousStageDirectiveParams`

To use a `PreviousStageDirectiveParams` object call the `CustomWorkflowActionService.createResult(Directive, String, DirectiveParams)` method instead of `CustomWorkflowActionService.createResult(Directive, String)` to construct the workflow action result.

Since:
  6.1

Method Summary
`boolean` | `isRunningEntryActions()` Indicates if the entry actions on the destination stage should be run.
`void` | `setRunEntryActions(boolean runEntryActions)` Specifies whether to run the entry actions on the destination stage.

Method Detail

### setRunEntryActions

    void setRunEntryActions(boolean runEntryActions)

  Specifies whether to run the entry actions on the destination stage.

  By default entry actions are run.

  Parameters:
    `runEntryActions` - true if the entry actions on the destination stage should be run, false otherwise

### isRunningEntryActions

    boolean isRunningEntryActions()

  Indicates if the entry actions on the destination stage should be run.

  Returns:
    true if the entry actions on the destination stage should be run, false otherwise

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD